package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.auth.controller
 * @Project：week_7.30_house
 * @name：AuthController
 * @Date：2024/7/30 9:35
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

@Autowired
    private AuthService authService;

@PostMapping("/login")
    public Result login(@RequestBody User user){

    return authService.login(user);
}


}
