package com.bwie.house.service.impl;

import com.bwie.common.domain.House;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.house.mapper.HouseMapper;
import com.bwie.house.service.HouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house.service.impl
 * @Project：week_7.30_house
 * @name：HouseServiceImpl
 * @Date：2024/7/30 9:59
 */
@Service
public class HouseServiceImpl implements HouseService {

@Autowired
    private HouseMapper houseMapper;


    @Override
    public List<House> houseList(HouseReq houseReq) {
        return houseMapper.houseList(houseReq);
    }

    @Override
    public House findHouseById(Integer houseId) {
        return houseMapper.findHouseById(houseId);
    }
}
