import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/vue-admin-template/table/list',
    method: 'get',
    params
  })
}

export function getHouseList(data) {
  return request({
    url: '/house/house/houseList',
    method: 'post',
    data
  })
}

export function getlogsList() {
  return request({
    url: '/house/logs/logsList',
    method: 'post',
  })
}


export function getTypeList() {
  return request({
    url: '/house/type/typeList',
    method: 'post',
  })
}

export function findHouseById(houseId) {
  return request({
    url: '/house/house/findHouseById/'+houseId,
    method: 'post',
  })
}
export function addLogs(data) {
  return request({
    url: '/house/logs/addLogs',
    method: 'post',
    data
  })
}


