package com.bwie.auth.feign;

import com.bwie.auth.feign.falltry.SystemRemoteService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.auth.feign
 * @Project：week_7.30_house
 * @name：SystemRemote
 * @Date：2024/7/30 11:19
 */
@FeignClient(value = "bwie-system" ,fallbackFactory = SystemRemoteService.class)
public interface SystemRemote {


    @PostMapping("/user/login/{userPhone}")
    public Result<User> login(@PathVariable String userPhone);

    @PostMapping("/user/getOnlineuser")
    public Result<User> getOnlineuser();


}
