package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.common.domain
 * @Project：week_7.30_house
 * @name：Logs
 * @Date：2024/7/30 10:10
 */
@Data
public class Logs {

private Integer    logsId;
private Integer   houseId;
@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
@DateTimeFormat(pattern = "yyyy-MM-dd:HH:mm:ss")
private Date logsDate;
private Integer    typeId;
private Integer    logsCost;
private Integer    logsStatus;
private String   logsText;
private Integer userId;

private String rentWay;

//列表
private String typeName;

private Double typeDiscount;

private String  userName;

private String  userPhone;

    //性别
private String  userSex;
    //年龄
private String  userAge;

    //租房信用
    private Integer  userCredit;

    private String houseName;

}
