package com.bwie.house;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house
 * @Project：week_7.30_house
 * @name：House
 * @Date：2024/7/30 10:05
 */
@EnableFeignClients
@SpringBootApplication
@MapperScan("com.bwie.house.mapper")
@EnableScheduling
public class HouseApplication {
    public static void main(String[] args) {
        SpringApplication.run(HouseApplication.class);
    }
}
